package org.rcisoft.bus.bcustomer.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.bus.bcustomer.entity.BCustomer;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年5月11日 下午3:19:37.
*/

public interface BCustomerRepository extends CyBaseMapper<BCustomer> {


    List<BCustomer> queryBCustomers(@Param("entity") BCustomer bCustomer);

    /**
    * 分页查询 bCustomer
    *
    */
    IPage<BCustomer> queryBCustomersPaged(CyPageInfo cyPageInfo,@Param("entity") BCustomer bCustomer);

    /**
     * 查询跟改code相同的个数
     * **/
    Integer queryNumberSomeCode(BCustomer bCustomer);
}

